Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "TAO_Export.h"`
`#include "CurrentC.h"`
`#include "DynamicC.h"`
`#include "ObjectReferenceTemplateC.h"`
`#include "Messaging_SyncScopeC.h"`
`#include "IOPC.h"`
`#include "PolicyC.h"`
`#include "ace/post.h"`

Include dependency graph for PortableInterceptorC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | OBV_Messaging
namespace | OBV_PortableInterceptor
namespace | PortableInterceptor
## Compounds
interface | PortableInterceptor::ClientRequestInfo
interface | PortableInterceptor::ClientRequestInterceptor
interface | PortableInterceptor::Current
exception | PortableInterceptor::ForwardRequest
interface | PortableInterceptor::Interceptor
exception | PortableInterceptor::InvalidSlot
interface | PortableInterceptor::IORInfo
interface | PortableInterceptor::IORInterceptor
interface | PortableInterceptor::ORBInitializer
interface | PortableInterceptor::ORBInitInfo
exception | PortableInterceptor::ORBInitInfo::DuplicateName
exception | PortableInterceptor::ORBInitInfo::InvalidName
interface | PortableInterceptor::PolicyFactory
interface | PortableInterceptor::RequestInfo
interface | PortableInterceptor::ServerRequestInfo
interface | PortableInterceptor::ServerRequestInterceptor
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _PORTABLEINTERCEPTOR_INTERCEPTOR___PTR_CH_
#define | _PORTABLEINTERCEPTOR_INTERCEPTOR___VAR_CH_
#define | _PORTABLEINTERCEPTOR_INTERCEPTOR___OUT_CH_
#define | _PORTABLEINTERCEPTOR_INTERCEPTOR_CH_
#define | _PORTABLEINTERCEPTOR_FORWARDREQUEST_CH_
#define | _PORTABLEINTERCEPTOR_INVALIDSLOT_CH_
#define | _PORTABLEINTERCEPTOR_CURRENT___PTR_CH_
#define | _PORTABLEINTERCEPTOR_CURRENT___VAR_CH_
#define | _PORTABLEINTERCEPTOR_CURRENT___OUT_CH_
#define | _PORTABLEINTERCEPTOR_CURRENT_CH_
#define | _PORTABLEINTERCEPTOR_REQUESTINFO___PTR_CH_
#define | _PORTABLEINTERCEPTOR_REQUESTINFO___VAR_CH_
#define | _PORTABLEINTERCEPTOR_REQUESTINFO___OUT_CH_
#define | _PORTABLEINTERCEPTOR_REQUESTINFO_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___PTR_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___VAR_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___OUT_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___PTR_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___VAR_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___OUT_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINFO_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___PTR_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___VAR_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___OUT_CH_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___PTR_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___VAR_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___OUT_CH_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR_CH_
#define | _PORTABLEINTERCEPTOR_IORINFO___PTR_CH_
#define | _PORTABLEINTERCEPTOR_IORINFO___VAR_CH_
#define | _PORTABLEINTERCEPTOR_IORINFO___OUT_CH_
#define | _PORTABLEINTERCEPTOR_IORINFO_CH_
#define | _PORTABLEINTERCEPTOR_IORINTERCEPTOR___PTR_CH_
#define | _PORTABLEINTERCEPTOR_IORINTERCEPTOR___VAR_CH_
#define | _PORTABLEINTERCEPTOR_IORINTERCEPTOR___OUT_CH_
#define | _PORTABLEINTERCEPTOR_IORINTERCEPTOR_CH_
#define | _PORTABLEINTERCEPTOR_POLICYFACTORY___PTR_CH_
#define | _PORTABLEINTERCEPTOR_POLICYFACTORY___VAR_CH_
#define | _PORTABLEINTERCEPTOR_POLICYFACTORY___OUT_CH_
#define | _PORTABLEINTERCEPTOR_POLICYFACTORY_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO___PTR_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO___VAR_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO___OUT_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO_DUPLICATENAME_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO_INVALIDNAME_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITIALIZER___PTR_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITIALIZER___VAR_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITIALIZER___OUT_CH_
#define | _PORTABLEINTERCEPTOR_ORBINITIALIZER_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::ForwardRequest &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ForwardRequest *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ForwardRequest *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::ForwardRequest *&)
TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::InvalidSlot &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::InvalidSlot *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::InvalidSlot *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::InvalidSlot *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableInterceptor::ForwardRequest &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::ForwardRequest &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableInterceptor::InvalidSlot &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::InvalidSlot &)

## Define Documentation

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___OUT_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___PTR_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___VAR_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___OUT_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___PTR_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___VAR_CH_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR_CH_

#define _PORTABLEINTERCEPTOR_CURRENT___OUT_CH_

#define _PORTABLEINTERCEPTOR_CURRENT___PTR_CH_

#define _PORTABLEINTERCEPTOR_CURRENT___VAR_CH_

#define _PORTABLEINTERCEPTOR_CURRENT_CH_

#define _PORTABLEINTERCEPTOR_FORWARDREQUEST_CH_

#define _PORTABLEINTERCEPTOR_INTERCEPTOR___OUT_CH_

#define _PORTABLEINTERCEPTOR_INTERCEPTOR___PTR_CH_

#define _PORTABLEINTERCEPTOR_INTERCEPTOR___VAR_CH_

#define _PORTABLEINTERCEPTOR_INTERCEPTOR_CH_

#define _PORTABLEINTERCEPTOR_INVALIDSLOT_CH_

#define _PORTABLEINTERCEPTOR_IORINFO___OUT_CH_

#define _PORTABLEINTERCEPTOR_IORINFO___PTR_CH_

#define _PORTABLEINTERCEPTOR_IORINFO___VAR_CH_

#define _PORTABLEINTERCEPTOR_IORINFO_CH_

#define _PORTABLEINTERCEPTOR_IORINTERCEPTOR___OUT_CH_

#define _PORTABLEINTERCEPTOR_IORINTERCEPTOR___PTR_CH_

#define _PORTABLEINTERCEPTOR_IORINTERCEPTOR___VAR_CH_

#define _PORTABLEINTERCEPTOR_IORINTERCEPTOR_CH_

#define _PORTABLEINTERCEPTOR_ORBINITIALIZER___OUT_CH_

#define _PORTABLEINTERCEPTOR_ORBINITIALIZER___PTR_CH_

#define _PORTABLEINTERCEPTOR_ORBINITIALIZER___VAR_CH_

#define _PORTABLEINTERCEPTOR_ORBINITIALIZER_CH_

#define _PORTABLEINTERCEPTOR_ORBINITINFO___OUT_CH_

#define _PORTABLEINTERCEPTOR_ORBINITINFO___PTR_CH_

#define _PORTABLEINTERCEPTOR_ORBINITINFO___VAR_CH_

#define _PORTABLEINTERCEPTOR_ORBINITINFO_CH_

#define _PORTABLEINTERCEPTOR_ORBINITINFO_DUPLICATENAME_CH_

#define _PORTABLEINTERCEPTOR_ORBINITINFO_INVALIDNAME_CH_

#define _PORTABLEINTERCEPTOR_POLICYFACTORY___OUT_CH_

#define _PORTABLEINTERCEPTOR_POLICYFACTORY___PTR_CH_

#define _PORTABLEINTERCEPTOR_POLICYFACTORY___VAR_CH_

#define _PORTABLEINTERCEPTOR_POLICYFACTORY_CH_

#define _PORTABLEINTERCEPTOR_REQUESTINFO___OUT_CH_

#define _PORTABLEINTERCEPTOR_REQUESTINFO___PTR_CH_

#define _PORTABLEINTERCEPTOR_REQUESTINFO___VAR_CH_

#define _PORTABLEINTERCEPTOR_REQUESTINFO_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___OUT_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___PTR_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___VAR_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINFO_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___OUT_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___PTR_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___VAR_CH_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::InvalidSlot & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const PortableInterceptor::ForwardRequest & | _tao_aggregate
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::InvalidSlot * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::InvalidSlot & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ForwardRequest * |
| ) |

TAO_NAMESPACE_CLOSE TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::ForwardRequest & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableInterceptor::InvalidSlot & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | PortableInterceptor::ForwardRequest & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::InvalidSlot *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::InvalidSlot *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::ForwardRequest *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ForwardRequest *& |
| ) |